summaryrefslogtreecommitdiffstats
path: root/source/ap/mc/mc.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/mc/mc.SlackBuild')
-rwxr-xr-xsource/ap/mc/mc.SlackBuild17
1 files changed, 3 insertions, 14 deletions
diff --git a/source/ap/mc/mc.SlackBuild b/source/ap/mc/mc.SlackBuild
index f4f74a83f..71d9107b6 100755
--- a/source/ap/mc/mc.SlackBuild
+++ b/source/ap/mc/mc.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2013, 2016, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2013, 2016, 2018, 2019, 2023, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -73,12 +73,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# Upstream fixes:
-zcat $CWD/mc-3605-extfs.c-fix-buffer-overflow.patch.gz | patch -p1 --verbose || exit 1
-
-if [ ! -x ./configure ]; then
- ./autogen.sh
-fi
+cat $CWD/bogus.cflags.diff | patch -p1 --verbose || exit 1
+autoreconf -vif
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -87,18 +83,11 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--localstatedir=/var \
--docdir=/usr/doc/mc-$VERSION \
- --enable-extcharset \
- --enable-netcode \
--enable-background \
--enable-charset \
--enable-aspell \
--with-gpm-mouse \
- --with-ext2undel \
--with-x=yes \
- --with-vfs \
- --enable-vfs-smb \
- --with-smb-configdir=/etc/samba \
- --with-smb-codepagedir=/etc/codepages \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1